<?php
include("cotizaciones.php");
$op = $_POST["op"];
$cotizaciones = new cotizaciones();

if ($op == "iniciarSesion") {
	$usuario = $_POST["usuario"];
	$clave = $_POST["clave"];
	echo trim($cotizaciones->iniciarSesion($usuario,$clave));
}

if ($op == "traerCotizaciones") {
	$fecha_ini = $_POST["fecha_ini"];
	$fecha_fin = $_POST["fecha_fin"];
	echo trim($cotizaciones->traerCotizaciones($fecha_ini,$fecha_fin));
}

if ($op == "duplicarCotizacion") {
	$id_cotizacion = $_POST["id_cotizacion"];
	$cotizacion = $_POST["cotizacion"];
	$cotizaciones->duplicarCotizacion($id_cotizacion,$cotizacion);
}

if ($op == "modificarCotizacion") {
	$CotizacionID = $_POST["CotizacionID"];
	$Cotizacion = $_POST["Cotizacion"];
	$cupon = $_POST['cupon'];
	if (empty($cupon)) {
        $cupon = null;
    }
	$cotizaciones->modificarCotizacion($Cotizacion,$CotizacionID, $cupon);
}

if ($op == "verificarCupon") {
	$password = $_POST["password"];
	echo trim($cotizaciones->verificarCupon($password));
}

if ($op == "insertarCotizacion") {
    $Cotizacion = $_POST["Cotizacion"];
    $cupon = $_POST['cupon'];
    // Verifica si el cupón está vacío y lo asigna a null si es el caso
    if (empty($cupon)) {
        $cupon = null;
    }    
    $cotizaciones->insertarCotizacion($Cotizacion, $cupon);
}

if ($op == "cancelarCotizacion") {
	$id_cotizacion = $_POST["id_cotizacion"];
	$cotizaciones->cancelarCotizacion($id_cotizacion);
}

if ($op == "procesarCotizacion") {
	$id_cotizacion = $_POST["id_cotizacion"];
	$cupon = $_POST["cupon"];
	if (empty($cupon)) {
        $cupon = null;
    }    
	$cotizaciones->procesarCotizacion($id_cotizacion, $cupon);
}

if ($op == "verCotizacion") {
	$id_cotizacion = $_POST["id_cotizacion"];
	echo trim($cotizaciones->verCotizacion($id_cotizacion));
	if (isset($_POST["parametros"])) {
		$parametros = json_decode(stripslashes($_POST["parametros"]));
		foreach ($parametros as $item) {
			$ObjCompCotID = $item->ObjCompCotID;
			$JncObjCompParID = $item->JncObjCompParID;
			$Valor = $item->Valor;
			echo trim($cotizaciones->actualizaParametro($ObjCompCotID,$JncObjCompParID,$Valor));
		}
	}
}

if ($op == "verCotizacionInfo") {
	$id_cotizacion = $_POST["id_cotizacion"];
	echo trim($cotizaciones->verCotizacionInfo($id_cotizacion));
}

if ($op == "eliminaCotizacionTemporal") {
	$cotizaciones->eliminaCotizacionTemporal();
}


if ($op == "insertaTemporalNuevo") {
	$ObjCompID = $_POST["ObjCompID"];
	$Cantidad = $_POST["Cantidad"];
	$Referencia = $_POST["Referencia"];
	$parametros = json_decode(stripslashes($_POST["parametros"]));
	$TempObjCompCotID = "";
	if (isset($_POST["ObjCompCotID"])) {
		$TempObjCompCotID = $_POST["ObjCompCotID"];
		$cotizaciones->eliminaTemporal($TempObjCompCotID,$Cantidad,$Referencia);
	}
	else{
		$TempObjCompCotID = $cotizaciones->insertaTemporalNuevo($ObjCompID,$Cantidad,$Referencia);
	}
	foreach($parametros as $item){
		$Valor = $item->Valor;
		$JncObjCompParID = $item->JncObjCompParID;
		$cotizaciones->insertaTemporalObjCom($TempObjCompCotID,$JncObjCompParID,$Valor);
		$objParametro = $cotizaciones->obtenerObjetoParametro($JncObjCompParID);
		for ($i=0; $i < sizeof($objParametro); $i++) {
			$ParametroID = $objParametro[$i]["ParametroID_FK"];
			$NameOverride = $objParametro[$i]["NameOverride"];
			$cotizaciones->insertaParametroTemporal($ParametroID,$NameOverride,$Valor);
		}
	}
}

if ($op == "insertaTemporal") {
	$CotizacionID = $_POST["CotizacionID"];
	echo trim($cotizaciones->insertaTemporal($CotizacionID));
}

if ($op == "verCotizacionTemporal") {
	echo trim($cotizaciones->verCotizacionTemporal());
	if (isset($_POST["parametros"])) {
		$parametros = json_decode(stripslashes($_POST["parametros"]));
		foreach ($parametros as $item) {
			$ObjCompCotID = $item->ObjCompCotID;
			$JncObjCompParID = $item->JncObjCompParID;
			$Valor = $item->Valor;
			echo trim($cotizaciones->actualizaParametro($ObjCompCotID,$JncObjCompParID,$Valor));
		}
	}
}

if ($op == "eliminarObjetoCompuesto") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	echo trim($cotizaciones->eliminarObjetoCompuesto($ObjCompCotID));
}

if ($op == "obtenerAreaObj") {
	echo trim($cotizaciones->obtenerAreaObj());
}

if ($op == "getDistinctPar") {
	echo trim($cotizaciones->getDistinctPar());
}

if($op == "obtenerMueblesXArea"){
	$AreaObjID = $_POST["AreaObjID"];
	echo trim($cotizaciones->obtenerMueblesXArea($AreaObjID));
}

if ($op == "obtenerParametrosXMueble") {
	$ObjCompID = $_POST["ObjCompID"];
	echo trim($cotizaciones->obtenerParametrosXMueble($ObjCompID));
}

if ($op == "ejecutarConsulta") {
	$consulta = $_POST["consulta"];
	echo trim($cotizaciones->ejecutarConsulta($consulta));
}

if ($op == "obtenerValorParTemporal") {
	$ParametroID = $_POST["ParametroID"];
	$NameOverride = $_POST["NameOverride"];
	echo $cotizaciones->obtenerValorParTemporal($ParametroID,$NameOverride);
}

if ($op == "verDetalleObjeto") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	echo trim($cotizaciones->verDetalleObjeto($ObjCompCotID));
}

if ($op == "verDetalleObjetoTemp") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	echo trim($cotizaciones->verDetalleObjetoTemp($ObjCompCotID));
}

if ($op == "verParametrosObjeto") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	echo trim($cotizaciones->verParametrosObjeto($ObjCompCotID));
}

if ($op == "verParametrosObjetoTemp") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	echo trim($cotizaciones->verParametrosObjetoTemp($ObjCompCotID));
}

if ($op == "ValorParObjTemp") {
	$ObjCompCotID = $_POST["ObjCompCotID"];
	$JncObjCompParID = $_POST["JncObjCompParID"];
	echo $cotizaciones->ValorParObjTemp($ObjCompCotID, $JncObjCompParID);
}

if ($op == "insertarBitacora") {
    $parametros = $_POST['parametros'];
    echo trim($cotizaciones->insertarBitacora($parametros));
}

if ($op == "traerBitacora") {
    $fecha_ini = $_POST['fecha_ini'];
    $fecha_fin = $_POST['fecha_fin'];
    $status = $_POST['status'];
    echo trim($cotizaciones->traerBitacora($fecha_ini, $fecha_fin, $status));
}

if ($op == "bitacoraCorregir") {
	$id_bitacora = $_POST["id_bitacora"];
	$cotizaciones->bitacoraCorregir($id_bitacora);
}

if ($op == "traerCupones") {
    $FechaIni = $_POST['FechaIni'];
    $FechaFin = $_POST['FechaFin'];
    $status = $_POST['status'];
    echo trim($cotizaciones->traerCupones($FechaIni, $FechaFin, $status));
}

if ($op == "insertarCupones") {
    $FechaIni = $_POST['FechaIni'];
    $FechaFin = $_POST['FechaFin'];
    $status = $_POST['status'];
    echo trim($cotizaciones->insertarCupones($FechaIni, $FechaFin, $status));
}
?>